<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('banks', function (Blueprint $table) {
            $table->id();
            $table->string('member_id')->comment('tg 会员ID');
            $table->string('channel')->comment(" 提现通道  DF001 支付宝转卡/DF002 支付宝转支付宝");
            $table->string("bank_name")->comment('银行名称/支付宝');
            $table->string("account")->comment('姓名');
            $table->string("card_no")->comment('银行卡号/支付宝账号');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('banks');
    }
};
